<div class="event-content-padding">
  <div class="left-content">
    <div class="event-header">
      <button mat-icon-button
              color="primary"
              [matMenuTriggerFor]="eventOptions"
              *ngIf="userIsLoggedIn()">
        <mat-icon>expand_more</mat-icon>
      </button>
      <mat-menu #eventOptions="matMenu">
        <button *ngIf="userIsAuthor()" mat-menu-item
                (click)="openPostEdit()">
          <mat-icon>edit</mat-icon>
          Edytuj post
        </button>
        <button *ngIf="userIsAuthor()" mat-menu-item
                (click)="openDeleteEventDialog()">
          <mat-icon>delete</mat-icon>
          Usuń post
        </button>
        <button mat-menu-item
                (click)="openReportEventDialog()">
          <mat-icon>flag</mat-icon>
          Zgłoś post
        </button>
      </mat-menu>
      <div class="event-status">
        <span [ngClass]="post.postStatus.toLowerCase()">{{post?.postStatus}}</span>
      </div>
      <div class="event-title">
        {{post?.title}}
      </div>

    </div>

    <div class="event-extras">
      <div class="event-details">
        <div>
          Linie poszkodowane: <span *ngFor="let line of post?.linesBlocked; let isLast=last"><a
          href="#">{{line}}</a>{{isLast ? '' : ', '}}</span>
        </div>
        <div>
          dodano: <span>{{post?.postedDate | date: "hh:mm, dd.MM.y"}}</span> przez <a
          [routerLink]="'/user/' + post?.authorUsername">{{post?.authorUsername}}</a>
        </div>
      </div>
      <div class="event-voting-buttons">
        <button mat-button #likeButton (click)="clickLike()" class="like-vote-button">
          {{post?.likes}}
          <mat-icon>thumb_up</mat-icon>
        </button>
        <button mat-button #dislikeButton (click)="clickDislike()" class="dislike-vote-button">
          {{post?.dislikes}}
          <mat-icon>thumb_down</mat-icon>
        </button>
      </div>
    </div>

    <mat-divider></mat-divider>


    <p class="event-description">
      {{post?.description}}
    </p>


    <div class="event-photos" *ngIf="safePhotoURLs.length > 0">
      <mat-carousel
        maxWidth="auto"
        [proportion]="67"
        [color]="'primary'"
        [hideArrows]="safePhotoURLs?.length === 1"
        [hideIndicators]="safePhotoURLs?.length === 1"
        [autoplay]="false">
        <mat-carousel-slide
          [overlayColor]="'#00000010'"
          *ngFor="let photoURL of safePhotoURLs">
          <div class="event-photo">
            <img [src]="photoURL">
          </div>

        </mat-carousel-slide>
      </mat-carousel>
    </div>
    <div class="event-photos" *ngIf="safePhotoURLs.length === 0">
      <mat-carousel
        maxWidth="auto"
        [proportion]="67"
        [hideArrows]="true"
        [color]="'primary'"
        [hideIndicators]="true"
        [autoplay]="false">
        <mat-carousel-slide
          [overlayColor]="'#00000010'">
          <div class="event-photo">
            <img [src]="'/assets/no-photo.png'">
          </div>

        </mat-carousel-slide>
      </mat-carousel>
    </div>

  </div>

  <div class="separator"></div>

  <div class="right-content">
    <app-display-map class="event-map" [coordinates]="post.coordinates"></app-display-map>
    <div class="event-comments-header">
      Komentarze ({{post?.comments?.length}})
    </div>
    <div class="event-comments">
      <div *ngIf="post?.comments && post?.comments.length === 0">Nie dodano jeszcze żadnego komentarza do tego zdarzenia.</div>
      <app-post-comment *ngFor="let comment of post?.comments; let last = last" [comment]="comment"
                        [last]="last"></app-post-comment>
    </div>
    <div class="event-comment-input" *ngIf="userIsLoggedIn()">
      <mat-form-field appearance="outline">
        <mat-label>Wpisz swój komentarz!</mat-label>
        <textarea matInput #input maxlength="255" [(ngModel)]="commentToAdd"></textarea>
        <mat-hint align="end">{{input.value?.length || 0}}/255</mat-hint>
      </mat-form-field>
      <div class="event-comment-input-buttons">
        <button mat-icon-button color="primary" (click)="addComment()">
          <mat-icon>send</mat-icon>
        </button>
      </div>
    </div>
  </div>
</div>
